<?php
/**
 * PPC Specialist: Customizer
 *
 * @subpackage PPC Specialist
 * @since 1.0
 */

function ppc_specialist_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/assets/css/customizer.css');

	// Add custom control.
  	require get_parent_theme_file_path( 'inc/switch/control_switch.php' );

	$wp_customize->add_section( 'ppc_specialist_typography_settings', array(
		'title'       => __( 'Typography', 'ppc-specialist' ),
		'priority'       => 24,
	) );

	$font_choices = array(
		'' => 'Select',
		'Source Sans Pro:400,700,400italic,700italic' => 'Source Sans Pro',
		'Open Sans:400italic,700italic,400,700' => 'Open Sans',
		'Oswald:400,700' => 'Oswald',
		'Playfair Display:400,700,400italic' => 'Playfair Display',
		'Montserrat:400,700' => 'Montserrat',
		'Raleway:400,700' => 'Raleway',
		'Droid Sans:400,700' => 'Droid Sans',
		'Lato:400,700,400italic,700italic' => 'Lato',
		'Arvo:400,700,400italic,700italic' => 'Arvo',
		'Lora:400,700,400italic,700italic' => 'Lora',
		'Merriweather:400,300italic,300,400italic,700,700italic' => 'Merriweather',
		'Oxygen:400,300,700' => 'Oxygen',
		'PT Serif:400,700' => 'PT Serif',
		'PT Sans:400,700,400italic,700italic' => 'PT Sans',
		'PT Sans Narrow:400,700' => 'PT Sans Narrow',
		'Cabin:400,700,400italic' => 'Cabin',
		'Fjalla One:400' => 'Fjalla One',
		'Francois One:400' => 'Francois One',
		'Josefin Sans:400,300,600,700' => 'Josefin Sans',
		'Libre Baskerville:400,400italic,700' => 'Libre Baskerville',
		'Arimo:400,700,400italic,700italic' => 'Arimo',
		'Ubuntu:400,700,400italic,700italic' => 'Ubuntu',
		'Bitter:400,700,400italic' => 'Bitter',
		'Droid Serif:400,700,400italic,700italic' => 'Droid Serif',
		'Roboto:400,400italic,700,700italic' => 'Roboto',
		'Open Sans Condensed:700,300italic,300' => 'Open Sans Condensed',
		'Roboto Condensed:400italic,700italic,400,700' => 'Roboto Condensed',
		'Roboto Slab:400,700' => 'Roboto Slab',
		'Yanone Kaffeesatz:400,700' => 'Yanone Kaffeesatz',
		'Rokkitt:400' => 'Rokkitt',
	);

	$wp_customize->add_setting( 'ppc_specialist_section_typo_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_typo_heading', array(
			'label'       => esc_html__( 'Typography Settings', 'ppc-specialist' ),
			'section'     => 'ppc_specialist_typography_settings',
			'settings'    => 'ppc_specialist_section_typo_heading',
		) ) );

	$wp_customize->add_setting( 'ppc_specialist_headings_text', array(
		'sanitize_callback' => 'ppc_specialist_sanitize_fonts',
	));

	$wp_customize->add_control( 'ppc_specialist_headings_text', array(
		'type' => 'select',
		'description' => __('Select your suitable font for the headings.', 'ppc-specialist'),
		'section' => 'ppc_specialist_typography_settings',
		'choices' => $font_choices
	));

	$wp_customize->add_setting( 'ppc_specialist_body_text', array(
		'sanitize_callback' => 'ppc_specialist_sanitize_fonts'
	));

	$wp_customize->add_control( 'ppc_specialist_body_text', array(
		'type' => 'select',
		'description' => __( 'Select your suitable font for the body.', 'ppc-specialist' ),
		'section' => 'ppc_specialist_typography_settings',
		'choices' => $font_choices
	) );

 	$wp_customize->add_section('ppc_specialist_pro', array(
        'title'    => __('UPGRADE PPC SPECIALIST PREMIUM', 'ppc-specialist'),
        'priority' => 1,
    ));

    $wp_customize->add_setting('ppc_specialist_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new PPC_Specialist_Pro_Control($wp_customize, 'ppc_specialist_pro', array(
        'label'    => __('PPC SPECIALIST PREMIUM', 'ppc-specialist'),
        'section'  => 'ppc_specialist_pro',
        'settings' => 'ppc_specialist_pro',
        'priority' => 1,
    )));

     //Logo
    $wp_customize->add_setting('ppc_specialist_logo_max_height',array(
		'default'	=> '',
		'sanitize_callback'	=> 'ppc_specialist_sanitize_number_absint'
	));
	$wp_customize->add_control('ppc_specialist_logo_max_height',array(
		'label'	=> esc_html__('Logo Width','ppc-specialist'),
		'section'	=> 'title_tagline',
		'type'		=> 'number'
	));

	$wp_customize->add_setting('ppc_specialist_logo_title',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_logo_title',
			array(
				'settings'        => 'ppc_specialist_logo_title',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Title', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('ppc_specialist_logo_text',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_logo_text',
			array(
				'settings'        => 'ppc_specialist_logo_text',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Tagline', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);
    

    // Theme General Settings
    $wp_customize->add_section('ppc_specialist_theme_settings',array(
        'title' => __('Theme General Settings', 'ppc-specialist'),
        'priority' => 1
    ) );

    $wp_customize->add_setting(
		'ppc_specialist_sticky_header',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_sticky_header',
			array(
				'settings'        => 'ppc_specialist_sticky_header',
				'section'         => 'ppc_specialist_theme_settings',
				'label'           => __( 'Show Sticky Header', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'ppc_specialist_theme_loader',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_theme_loader',
			array(
				'settings'        => 'ppc_specialist_theme_loader',
				'section'         => 'ppc_specialist_theme_settings',
				'label'           => __( 'Show Site Loader', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('ppc_specialist_menu_text_transform',array(
        'default' => 'CAPITALISE',
        'sanitize_callback' => 'ppc_specialist_sanitize_choices'
	));
	$wp_customize->add_control('ppc_specialist_menu_text_transform',array(
        'type' => 'select',
        'label' => __('Menus Text Transform','ppc-specialist'),
        'section' => 'ppc_specialist_theme_settings',
        'choices' => array(
            'CAPITALISE' => __('CAPITALISE','ppc-specialist'),
            'UPPERCASE' => __('UPPERCASE','ppc-specialist'),
            'LOWERCASE' => __('LOWERCASE','ppc-specialist'),
        ),
	) );

	$wp_customize->add_setting( 'ppc_specialist_section_scroll_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_scroll_heading', array(
		'label'       => esc_html__( 'Scroll Top Settings', 'ppc-specialist' ),
		'section'     => 'ppc_specialist_theme_settings',
		'settings'    => 'ppc_specialist_section_scroll_heading',
	) ) );

	$wp_customize->add_setting(
		'ppc_specialist_scroll_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_scroll_enable',
			array(
				'settings'        => 'ppc_specialist_scroll_enable',
				'section'         => 'ppc_specialist_theme_settings',
				'label'           => __( 'Show Scroll Top', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('ppc_specialist_scroll_options',array(
        'default' => 'right_align',
        'sanitize_callback' => 'ppc_specialist_sanitize_choices'
	));
	$wp_customize->add_control('ppc_specialist_scroll_options',array(
        'type' => 'select',
        'label' => __('Scroll Top Alignment','ppc-specialist'),
        'section' => 'ppc_specialist_theme_settings',
        'choices' => array(
            'right_align' => __('Right Align','ppc-specialist'),
            'center_align' => __('Center Align','ppc-specialist'),
            'left_align' => __('Left Align','ppc-specialist'),
        ),
	) );	

	$wp_customize->add_setting( 'ppc_specialist_section_shoppage_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_shoppage_heading', array(
		'label'       => esc_html__( 'Shop Page Settings', 'ppc-specialist' ),
		'section'     => 'ppc_specialist_theme_settings',
		'settings'    => 'ppc_specialist_section_shoppage_heading',
	) ) );

	$wp_customize->add_setting(
		'ppc_specialist_shop_page_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_shop_page_sidebar',
			array(
				'settings'        => 'ppc_specialist_shop_page_sidebar',
				'section'         => 'ppc_specialist_theme_settings',
				'label'           => __( 'Show Shop Page Sidebar', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'ppc_specialist_wocommerce_single_page_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_wocommerce_single_page_sidebar',
			array(
				'settings'        => 'ppc_specialist_wocommerce_single_page_sidebar',
				'section'         => 'ppc_specialist_theme_settings',
				'label'           => __( 'Show Single Product Page Sidebar', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);


    //theme width

	$wp_customize->add_section('ppc_specialist_theme_width_settings',array(
        'title' => __('Theme Width Option', 'ppc-specialist'),
    ) );

	$wp_customize->add_setting('ppc_specialist_width_options',array(
        'default' => 'full_width',
        'sanitize_callback' => 'ppc_specialist_sanitize_choices'
	));
	$wp_customize->add_control('ppc_specialist_width_options',array(
        'type' => 'select',
        'label' => __('Theme Width Option','ppc-specialist'),
        'section' => 'ppc_specialist_theme_width_settings',
        'choices' => array(
            'full_width' => __('Fullwidth','ppc-specialist'),
            'Container' => __('Container','ppc-specialist'),
            'container_fluid' => __('Container Fluid','ppc-specialist'),
        ),
	) );

	// Post Layouts
    $wp_customize->add_section('ppc_specialist_layout',array(
        'title' => __('Post Layout', 'ppc-specialist'),
        'priority' => 1
    ) );

    $wp_customize->add_setting( 'ppc_specialist_section_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_post_heading', array(
		'label'       => esc_html__( 'Page Structure', 'ppc-specialist' ),
		 'description' => __( 'Change the post layout from below options', 'ppc-specialist' ),
		'section'     => 'ppc_specialist_layout',
		'settings'    => 'ppc_specialist_section_post_heading',
	) ) );

	$wp_customize->add_setting(
		'ppc_specialist_post_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_post_sidebar',
			array(
				'settings'        => 'ppc_specialist_post_sidebar',
				'section'         => 'ppc_specialist_layout',
				'label'           => __( 'Show Fullwidth', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'ppc_specialist_single_post_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_single_post_sidebar',
			array(
				'settings'        => 'ppc_specialist_single_post_sidebar',
				'section'         => 'ppc_specialist_layout',
				'label'           => __( 'Show Single Post Fullwidth', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

    $wp_customize->add_setting('ppc_specialist_post_option',array(
		'default' => 'simple_post',
		'sanitize_callback' => 'ppc_specialist_sanitize_select'
	));
	$wp_customize->add_control('ppc_specialist_post_option',array(
		'label' => esc_html__('Select Layout','ppc-specialist'),
		'section' => 'ppc_specialist_layout',
		'setting' => 'ppc_specialist_post_option',
		'type' => 'radio',
        'choices' => array(
            'simple_post' => __('Simple Post','ppc-specialist'),
            'grid_post' => __('Grid Post','ppc-specialist'),
        ),
	));

    $wp_customize->add_setting('ppc_specialist_grid_column',array(
		'default' => '3_column',
		'sanitize_callback' => 'ppc_specialist_sanitize_select'
	));
	$wp_customize->add_control('ppc_specialist_grid_column',array(
		'label' => esc_html__('Grid Post Per Row','ppc-specialist'),
		'section' => 'ppc_specialist_layout',
		'setting' => 'ppc_specialist_grid_column',
		'type' => 'radio',
        'choices' => array(
            '1_column' => __('1','ppc-specialist'),
            '2_column' => __('2','ppc-specialist'),
            '3_column' => __('3','ppc-specialist'),
            '4_column' => __('4','ppc-specialist'),
            '5_column' => __('6','ppc-specialist'),
        ),
	));

	$wp_customize->add_setting('ppc_specialist_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_date',
			array(
				'settings'        => 'ppc_specialist_date',
				'section'         => 'ppc_specialist_layout',
				'label'           => __( 'Show Date', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'ppc_specialist_date', array(
		'selector' => '.date-box',
		'render_callback' => 'ppc_specialist_customize_partial_ppc_specialist_date',
	) );

	$wp_customize->add_setting('ppc_specialist_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_admin',
			array(
				'settings'        => 'ppc_specialist_admin',
				'section'         => 'ppc_specialist_layout',
				'label'           => __( 'Show Author/Admin', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'ppc_specialist_admin', array(
		'selector' => '.entry-author',
		'render_callback' => 'ppc_specialist_customize_partial_ppc_specialist_admin',
	) );

	$wp_customize->add_setting('ppc_specialist_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_comment',
			array(
				'settings'        => 'ppc_specialist_comment',
				'section'         => 'ppc_specialist_layout',
				'label'           => __( 'Show Comment', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'ppc_specialist_comment', array(
		'selector' => '.entry-comments',
		'render_callback' => 'ppc_specialist_customize_partial_ppc_specialist_comment',
	) );

	// Top Header
    $wp_customize->add_section('ppc_specialist_top',array(
        'title' => __('Contact info', 'ppc-specialist'),
        'priority' => 1
    ) );

    $wp_customize->add_setting( 'ppc_specialist_section_contact_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_contact_heading', array(
		'label'       => esc_html__( 'Contact Settings', 'ppc-specialist' ),	
		'description' => __( 'Add contact info in the below feilds', 'ppc-specialist' ),		
		'section'     => 'ppc_specialist_top',
		'settings'    => 'ppc_specialist_section_contact_heading',
	) ) );

    $wp_customize->add_setting('ppc_specialist_call_number',array(
		'default' => '',
		'sanitize_callback' => 'ppc_specialist_sanitize_phone_number'
	)); 
	$wp_customize->add_control('ppc_specialist_call_number',array(
		'label' => esc_html__('Add Phone Number','ppc-specialist'),
		'section' => 'ppc_specialist_top',
		'setting' => 'ppc_specialist_call_number',
		'type'    => 'text'
	));

    $wp_customize->add_setting('ppc_specialist_email_address',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_email'
	)); 
	$wp_customize->add_control('ppc_specialist_email_address',array(
		'label' => esc_html__('Add Email Address','ppc-specialist'),
		'section' => 'ppc_specialist_top',
		'setting' => 'ppc_specialist_email_address',
		'type'    => 'text'
	));

    $wp_customize->add_setting('ppc_specialist_talk_btn_text',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	)); 
	$wp_customize->add_control('ppc_specialist_talk_btn_text',array(
		'label' => esc_html__('Add Button Text','ppc-specialist'),
		'section' => 'ppc_specialist_top',
		'setting' => 'ppc_specialist_talk_btn_text',
		'type'    => 'text'
	));

    $wp_customize->add_setting('ppc_specialist_talk_btn_link',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)); 
	$wp_customize->add_control('ppc_specialist_talk_btn_link',array(
		'label' => esc_html__('Add Button URL','ppc-specialist'),
		'section' => 'ppc_specialist_top',
		'setting' => 'ppc_specialist_talk_btn_link',
		'type'    => 'url'
	));

	// Social Media
    $wp_customize->add_section('ppc_specialist_urls',array(
        'title' => __('Social Media', 'ppc-specialist'),
        'priority' => 3
    ) );

    $wp_customize->add_setting( 'ppc_specialist_section_social_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
	$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_social_heading', array(
		'label'       => esc_html__( 'Social Media Settings', 'ppc-specialist' ),
		'description' => __( 'Add social media links in the below feilds', 'ppc-specialist' ),			
		'section'     => 'ppc_specialist_urls',
		'settings'    => 'ppc_specialist_section_social_heading',
	) ) );

	$wp_customize->add_setting(
		'ppc_specialist_social_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_social_enable',
			array(
				'settings'        => 'ppc_specialist_social_enable',
				'section'         => 'ppc_specialist_urls',
				'label'           => __( 'Check to show social fields', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);

    
	$wp_customize->add_setting('ppc_specialist_facebook',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)); 
	$wp_customize->add_control('ppc_specialist_facebook',array(
		'label' => esc_html__('Facebook URL','ppc-specialist'),
		'section' => 'ppc_specialist_urls',
		'setting' => 'ppc_specialist_facebook',
		'type'    => 'url'
	));

	$wp_customize->add_setting('ppc_specialist_twitter',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)); 
	$wp_customize->add_control('ppc_specialist_twitter',array(
		'label' => esc_html__('Twitter URL','ppc-specialist'),
		'section' => 'ppc_specialist_urls',
		'setting' => 'ppc_specialist_twitter',
		'type'    => 'url'
	));

	$wp_customize->add_setting('ppc_specialist_youtube',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)); 
	$wp_customize->add_control('ppc_specialist_youtube',array(
		'label' => esc_html__('Youtube URL','ppc-specialist'),
		'section' => 'ppc_specialist_urls',
		'setting' => 'ppc_specialist_youtube',
		'type'    => 'url'
	));

	$wp_customize->add_setting('ppc_specialist_instagram',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	)); 
	$wp_customize->add_control('ppc_specialist_instagram',array(
		'label' => esc_html__('Instagram URL','ppc-specialist'),
		'section' => 'ppc_specialist_urls',
		'setting' => 'ppc_specialist_instagram',
		'type'    => 'url'
	));

    //Slider
	$wp_customize->add_section( 'ppc_specialist_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'ppc-specialist' ),
    	'priority'   => 3,
	) );

	$wp_customize->add_setting( 'ppc_specialist_section_slide_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_slide_heading', array(
		'label'       => esc_html__( 'Slider Settings', 'ppc-specialist' ),
		'description' => __( 'Slider Image Dimension ( 600px x 700px )', 'ppc-specialist' ),		
		'section'     => 'ppc_specialist_slider_section',
		'settings'    => 'ppc_specialist_section_slide_heading',
	) ) );

		$wp_customize->add_setting(
		'ppc_specialist_slider_arrows',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'ppc_specialist_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new PPC_Specialist_Customizer_Customcontrol_Switch(
			$wp_customize,
			'ppc_specialist_slider_arrows',
			array(
				'settings'        => 'ppc_specialist_slider_arrows',
				'section'         => 'ppc_specialist_slider_section',
				'label'           => __( 'Check To Show Slider', 'ppc-specialist' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'ppc-specialist' ),
					'off'    => __( 'Off', 'ppc-specialist' ),
				),
				'active_callback' => '',
			)
		)
	);


	$args = array('numberposts' => -1); 
	$post_list = get_posts($args);
	$i = 0;	
	$pst_sls[]= __('Select','ppc-specialist');
	foreach ($post_list as $key => $p_post) {
		$pst_sls[$p_post->ID]=$p_post->post_title;
	}
	for ( $i = 1; $i <= 4; $i++ ) {
		$wp_customize->add_setting('ppc_specialist_post_setting'.$i,array(
			'sanitize_callback' => 'ppc_specialist_sanitize_select',
		));
		$wp_customize->add_control('ppc_specialist_post_setting'.$i,array(
			'type'    => 'select',
			'choices' => $pst_sls,
			'label' => __('Select post','ppc-specialist'),
			'section' => 'ppc_specialist_slider_section',
		));
	}
	wp_reset_postdata();

	$wp_customize->add_setting('ppc_specialist_slider_content_alignment',array(
        'default' => 'LEFT-ALIGN',
        'sanitize_callback' => 'ppc_specialist_sanitize_choices'
	));
	$wp_customize->add_control('ppc_specialist_slider_content_alignment',array(
        'type' => 'select',
        'label' => __('Slider Content Alignment','ppc-specialist'),
        'section' => 'ppc_specialist_slider_section',
        'choices' => array(
            'LEFT-ALIGN' => __('LEFT-ALIGN','ppc-specialist'),
            'CENTER-ALIGN' => __('CENTER-ALIGN','ppc-specialist'),
            'RIGHT-ALIGN' => __('RIGHT-ALIGN','ppc-specialist'),),
	) );


	// Skills Section
	$wp_customize->add_section( 'ppc_specialist_skill_section' , array(
    	'title'      => __( 'Skills Section Settings', 'ppc-specialist' ),
		'priority'   => 4,
	) );

	$ppc_specialist_categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($ppc_specialist_categories as $category){
	if($i==0){
	  $default = $category->slug;
	  $i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('ppc_specialist_services_category_setting',array(
		'default' => 'select',
		'sanitize_callback' => 'ppc_specialist_sanitize_select',
	));
	$wp_customize->add_control('ppc_specialist_services_category_setting',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => esc_html__('Select Category to display Skill Section','ppc-specialist'),
		'label' => esc_html__('Select Category to display Skill Section','ppc-specialist'),
		'section' => 'ppc_specialist_skill_section',
	));


	//Footer
    $wp_customize->add_section( 'ppc_specialist_footer_copyright', array(
    	'title'      => esc_html__( 'Footer Text', 'ppc-specialist' ),
    	'priority' => 6
	) );

	$wp_customize->add_setting( 'ppc_specialist_section_footer_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new PPC_Specialist_Customizer_Customcontrol_Section_Heading( $wp_customize, 'ppc_specialist_section_footer_heading', array(
			'label'       => esc_html__( 'Footer Settings', 'ppc-specialist' ),		
			'section'     => 'ppc_specialist_footer_copyright',
			'settings'    => 'ppc_specialist_section_footer_heading',
		) ) );

    $wp_customize->add_setting('ppc_specialist_footer_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('ppc_specialist_footer_text',array(
		'label'	=> esc_html__('Copyright Text','ppc-specialist'),
		'section'	=> 'ppc_specialist_footer_copyright',
		'type'		=> 'text'
	));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'ppc_specialist_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'ppc_specialist_customize_partial_blogdescription',
	) );

	//front page
	$num_sections = apply_filters( 'ppc_specialist_front_page_sections', 4 );

	// Create a setting and control for each of the sections available in the theme.
	for ( $i = 1; $i < ( 1 + $num_sections ); $i++ ) {
		$wp_customize->add_setting( 'panel_' . $i, array(
			'default'           => false,
			'sanitize_callback' => 'ppc_specialist_sanitize_dropdown_pages',
			'transport'         => 'postMessage',
		) );

		$wp_customize->add_control( 'panel_' . $i, array(
			/* translators: %d is the front page section number */
			'label'          => sprintf( __( 'Front Page Section %d Content', 'ppc-specialist' ), $i ),
			'description'    => ( 1 !== $i ? '' : __( 'Select pages to feature in each area from the dropdowns. Add an image to a section by setting a featured image in the page editor. Empty sections will not be displayed.', 'ppc-specialist' ) ),
			'section'        => 'theme_options',
			'type'           => 'dropdown-pages',
			'allow_addition' => true,
			'active_callback' => 'ppc_specialist_is_static_front_page',
		) );

		$wp_customize->selective_refresh->add_partial( 'panel_' . $i, array(
			'selector'            => '#panel' . $i,
			'render_callback'     => 'ppc_specialist_front_page_section',
			'container_inclusive' => true,
		) );
	}
}
add_action( 'customize_register', 'ppc_specialist_customize_register' );

function ppc_specialist_customize_partial_blogname() {
	bloginfo( 'name' );
}
function ppc_specialist_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
function ppc_specialist_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}
function ppc_specialist_is_view_with_layout_option() {
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

define('PPC_SPECIALIST_PRO_LINK',__('https://www.ovationthemes.com/wordpress/email-marketing-wordpress-theme/','ppc-specialist'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('PPC_Specialist_Pro_Control')):
    class PPC_Specialist_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md upsell-btn">
                <a href="<?php echo esc_url( PPC_SPECIALIST_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE PPC SPECIALIST PREMIUM','ppc-specialist');?> </a>
	        </div>
            <div class="col-md">
                <img class="ppc_specialist_img_responsive " src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png">
            </div>
	        <div class="col-md">
	            <h3 style="margin-top:10px; margin-left: 20px; text-decoration:underline; color:#333;"><?php esc_html_e('PPC SPECIALIST PREMIUM - Features', 'ppc-specialist'); ?></h3>
                <ul style="padding-top:10px">
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'ppc-specialist');?> </li>
                    <li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'ppc-specialist');?> </li>
                   	<li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'ppc-specialist');?> </li>
                   	<li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'ppc-specialist');?> </li>
                   	<li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Business Friendly', 'ppc-specialist');?> </li>
                   	<li class="upsell-ppc_specialist"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'ppc-specialist');?> </li>
                </ul>
        	</div>
		    <div class="col-md upsell-btn upsell-btn-bottom">
	            <a href="<?php echo esc_url( PPC_SPECIALIST_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE PPC SPECIALIST PREMIUM','ppc-specialist');?> </a>
		    </div>
        </label>
    <?php } }
endif;